Instrument Data
Retrieve instrument analytics, market data, news, and related reference data.
Get All Instrument Events
Get Instrument Events
Get Instrument Fundamentals
Get Instrument Balance Sheet Statements
Get Instrument Income Statements
Get Instrument Analyst Consensus
Get Instrument Cash Flow Statements
ModelsExpand Collapse
class InstrumentAllEventsData: …
All-events payload grouped by date.
Events grouped by date in descending order.
Flat event envelopes for this date.
dividend_event_data: Optional[InstrumentDividendEvent]
instrument_id: Optional[str]
OEMS instrument identifier, when the instrument is found in the instrument cache.
class InstrumentEventEnvelope: …
Unified envelope for the all-events response.
dividend_event_data: Optional[InstrumentDividendEvent]
instrument_id: Optional[str]
OEMS instrument identifier, when the instrument is found in the instrument cache.
class InstrumentEventsByDate: …
Instrument events for a single date.
Flat event envelopes for this date.
dividend_event_data: Optional[InstrumentDividendEvent]
instrument_id: Optional[str]
OEMS instrument identifier, when the instrument is found in the instrument cache.
class InstrumentFundamentals: …
class InstrumentDataGetAllInstrumentEventsResponse: …
All-events payload grouped by date.
Events grouped by date in descending order.
Flat event envelopes for this date.
dividend_event_data: Optional[InstrumentDividendEvent]
instrument_id: Optional[str]
OEMS instrument identifier, when the instrument is found in the instrument cache.
class InstrumentDataGetInstrumentFundamentalsResponse: …
Instrument DataMarket Data
Retrieve instrument analytics, market data, news, and related reference data.
Get Snapshots
Get Daily Aggregate Summaries
ModelsExpand Collapse
class DailySummary: …
Daily aggregate (OHLV) summary for a single instrument.
Returned by GET /market-data/daily-summary. Every field except
instrument_id is Option:
- Unresolvable
instrument_id→ all other fieldsNone(includingsymbol). - Resolvable
instrument_idwith no realtime cache entry →symbolpopulated, OHLV/trade_dateNone. trade_datereflects the session the OHLV represents (today during trading hours, the last trading date during weekends/holidays).
List[DailySummary]
class MarketDataSnapshot: …
Market data snapshot for a single security.
List[MarketDataSnapshot]
class MarketDataGetSnapshotsResponse: …
Instrument DataNews
Retrieve instrument analytics, market data, news, and related reference data.